Name:           pstoedit
Version:        3.78
Release:        2
Summary:        Translates PostScript and PDF graphics into other vector formats
License:        GPLv2+
URL:            http://www.pstoedit.net/
Source0:        https://sourceforge.net/projects/pstoedit/files/pstoedit/%{version}/pstoedit-%{version}.tar.gz

Patch0:         pstoedit-pkglibdir.patch
Patch1:         Fix-compilation-failure-caused-by-gcc12.patch

Requires:       ghostscript
BuildRequires:  gd-devel dos2unix ghostscript libzip-devel
BuildRequires:  plotutils-devel automake gcc-c++ libEMF-devel

%description
Postoedit translates PostScript and PDF graphics into other vector formats.

%package devel
Summary:        Header files and libraries for the pstoedit
Requires:       %{name} = %{version}-%{release}

%description devel
The package contains header files and libraries
which are needed to build applications using pstoedit.

%package        help
Summary:        Man info for pstoedit

%description    help
The package contains man information for pstoedit.

%prep
%autosetup -p1

dos2unix doc/*.htm doc/readme.txt

%build
%configure --disable-static --with-emf --without-swf --without-magick --with-libzip-include=%{_includedir}

%make_build

%install
%make_install
install -D doc/pstoedit.1 $RPM_BUILD_ROOT%{_mandir}/man1/
%delete_la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc copying doc/changelog.htm
%{_datadir}/pstoedit
%{_bindir}/pstoedit
%{_libdir}/*.so.*
%{_libdir}/pstoedit

%files devel
%{_includedir}/pstoedit
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4

%files help
%{_docdir}/pstoedit/{readme.txt,pstoedit.pdf,pstoedit.htm}
%{_mandir}/man1/*

%changelog
* Fri Jul 14 2023 xu_ping <707078654@qq.com> - 3.78-2
- Fix compilation failure caused by gcc12

* Tue Jan 10 2023 yaoxin <yaoxin30@h-partners.com> - 3.78-1
- Update to 3.78

* Thu Dec 12 2019 lijin Yang <yanglijin@huawei.com> - 3.73-4
- init package

